Get summary of Images and Subscriptions
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/querySummary
Gets Statistics of, compliance of image and targets and subscriptions
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
excludeList: array
excludeList
exclude the given summaries
Match All
Show Source
-
object
GlobalTargetFilter
Global target property filters
Nested Schema : excludeList
Type:
arrayexclude the given summaries
Show Source
-
Array of:
Allowed Values:
[ "subscriptions", "images", "targets" ]
Nested Schema : GlobalTargetFilter
Type:
objectGlobal target property filters
Show Source
-
dbMachineType: string
Default Value:
BOTHAllowed Values:[ "BOTH", "STAND_ALONE", "EXADATA" ]Machine type on which the database is present -
targetProperties:
targetProperties
Properties of target
-
targetTypeList: array
targetTypeList
Target type
Nested Schema : targetProperties
Properties of target
Match All
Properties of target
Show Source
-
object
TargetPropertyFilter
Target property filters
Nested Schema : targetTypeList
Type:
arrayTarget type
Show Source
-
Array of:
Allowed Values:
[ "oracle_database", "rac_database", "cluster", "has" ]
Nested Schema : TargetPropertyFilter
Type:
objectTarget property filters
Show Source
-
contactList: array
contactList
List of contacts
-
costCenterList: array
costCenterList
List of cost centers
-
departmentList: array
departmentList
List of departments
-
downtimeContactList: array
downtimeContactList
List of downtime contacts
-
lifecycleStatusList: array
lifecycleStatusList
List of lifecyclestatus
-
lineOfBusinessList: array
lineOfBusinessList
List of line of business
-
locationList: array
locationList
List of locations
-
siteList: array
siteList
List of sites
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
OK. Summary details retrieved.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
GoldImageAndSubscriptionSummary
Image and Subscription statistics
Nested Schema : GoldImageAndSubscriptionSummary
Type:
objectImage and Subscription statistics
Show Source
-
images: array
images
Statistics of images grouped by image status (uptodate, uptodateVersionNotCurrent, needOracleRecommendedPatches)
-
subscriptions: array
subscriptions
Statistics of subscriptions grouped by target type
-
targets: array
targets
Statistics of targets grouped by patchlevel (current/non-current)
Nested Schema : images
Type:
arrayStatistics of images grouped by image status (uptodate, uptodateVersionNotCurrent, needOracleRecommendedPatches)
Show Source
Nested Schema : subscriptions
Type:
arrayStatistics of subscriptions grouped by target type
Show Source
Nested Schema : targets
Type:
arrayStatistics of targets grouped by patchlevel (current/non-current)
Show Source
Nested Schema : ImageStatistics
Type:
objectStatistics of the images
Show Source
-
categories: array
categories
Includes the count of images, which are uptodate and needOracleRecommendedPatches
-
total: number
Total number of imagesExample:
100
Nested Schema : categories
Type:
arrayIncludes the count of images, which are uptodate and needOracleRecommendedPatches
Show Source
Nested Schema : items
Match All
Show Source
-
object
ImageCategoryStatistics
Statistics of image category
Nested Schema : ImageCategoryStatistics
Type:
objectStatistics of image category
Show Source
-
count: number
Count of imagesExample:
50 -
name: string
Allowed Values:
[ "uptodate", "needOracleRecommendedPatches" ]Name of the image category
Nested Schema : items
Match All
Show Source
-
object
SubscriptionStatistics
Statistics of the subscriptions
Nested Schema : SubscriptionStatistics
Type:
objectStatistics of the subscriptions
Show Source
-
targetType: string
Allowed Values:
[ "oracle_database", "rac_database", "cluster", "has" ]Target type -
total: number
Count of targetsExample:
100 -
unsubscribedCount: number
Count of unsubscribed targetsExample:
50
Nested Schema : TargetStatistics
Type:
objectStatistics of the targets
Show Source
-
categories: array
categories
Includes the count of the targets subscribed to current and non-current image version
-
total: number
Total number of subscribed targetsExample:
100
Nested Schema : categories
Type:
arrayIncludes the count of the targets subscribed to current and non-current image version
Show Source
Nested Schema : items
Match All
Show Source
-
object
TargetCategoryStatistics
Statistics of the target category
Nested Schema : TargetCategoryStatistics
Type:
objectStatistics of the target category
Show Source
-
count: number
Count of the targets subscribed to the image categoryExample:
70 -
name: string
Allowed Values:
[ "current", "notCurrent" ]Category name of the image -
targetType: string
Allowed Values:
[ "oracle_database", "rac_database", "cluster", "has" ]Target type
Examples
400 Response
Bad Request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
404 Response
Not Found
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message